# snippets-ext README

This extension contributes Javascript code snippets and Javascript functions
while editing/viewing .js files. These are commonly used in the Calc operation.

## Features

Snippet code and function code can be retrieved by triggering the Intellisense
feature of Visual Studio Code as described below.

Each snippet or function has a Prefix component comprised of a few characters which
indicate what the particular snippet or function does. When the user starts typing
these characters the snippets whose Prefixes contain these characters are displayed
at which point the user can click on the desired snippet/function and retrieve
the Javascript code.

## Requirements

Two .JSON files hold the actual snippet/function code:

snippets.json - The 'regular' snippet Javascript code templates commonly used in
                the Calc operation.
functions.json - The Javascript functions commonly used in the Calc operation.

These files can be edited by a code editor but must be placed in the extension root
folder when packaging/'publishing' the snippet extension for future releases.

This extension was created by running cmd.exe then changing the directory to the
extension root folder and typing 'vsce package' which produced the vsix file.

## Extension Settings

This extension contributes Javascript code snippets and functions.

## Known Issues


## Release Notes

### 0.0.1

Initial release.

-----------------------------------------------------------------------------------------------------------

## Working with Markdown

**Note:** You can author your README using Visual Studio Code.  Here are some useful editor keyboard shortcuts:

* Split the editor (`Cmd+\` on macOS or `Ctrl+\` on Windows and Linux)
* Toggle preview (`Shift+CMD+V` on macOS or `Shift+Ctrl+V` on Windows and Linux)
* Press `Ctrl+Space` (Windows, Linux) or `Cmd+Space` (macOS) to see a list of Markdown snippets

### For more information

Contact: Harry Truax